#!/usr/bin/python
# -*- coding: iso-8859-1 -*-

# Mattricks, a free helper program for hattricks players.
# Copyright (C) 2003 Mattricks Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import string
import sys

from Mattricks import Fetch

def command_line_main():
    if not 2 <= len(sys.argv) <= 4:
        print "Usage: %s passwordfile [target-dir [filename]]" % sys.argv[0]
        sys.exit(0)

    if len(sys.argv) == 3:
        path = sys.argv[2]
    else:
        path = ""

    if len(sys.argv) == 4:
        filename = sys.argv[3]
    else:
        filename = None

    try:
        passwordfile = open(sys.argv[1], 'r').read()
        (loginname, password) = string.split(passwordfile, maxsplit = 1)
        loginname = string.strip(loginname)
        password = string.strip(password)
    except:
        print "Couldn't get loginname and password"
        sys.exit(0)
    result = Fetch.fetch_hrf(loginname, password, path, None, filename)
    if result == Fetch.FETCH_ERROR_STRANGE_RESPONSE:
        print "Error: Strange response in fetch."
    if result == Fetch.FETCH_ERROR_LOGIN_ERROR:
        print "Error: Login error."
    if result == Fetch.FETCH_ERROR_PLAYING_MATCH:
        print "Error: Currently playing match."
    if result == Fetch.FETCH_ERROR_ERRONEOUS_DATA:
        print "Error: The retrieved data is errouneous."
    if result == Fetch.FETCH_ERROR_COULDNT_GET_COOKIE:
        print "Error: Unable to get cookie."

if __name__ == "__main__":
    command_line_main()
